NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ShipDesign.ShipEndCutBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.ShipEndCut builder More...

Inheritance diagram for NXOpen.Features.ShipDesign.ShipEndCutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CreationMethod { FaceEdge, SpecifyCSYS }
 available methods used to place a cutout object More...
 

Properties

unsafe NXOpen.CoordinateSystem CoordSystem [get, set]
 Returns or sets the coord system More...
 
unsafe NXOpen.EndCutBlockBuilder EndCutBlock [get]
 Returns the end cut block (containing the library sketch block and other end cut specific settings) that defines the end cut outline More...
 
unsafe
NXOpen.Features.ShipDesign.ShipEndCutBuilder.CreationMethod 
PlacementType [get, set]
 Returns or sets the placement type More...
 
unsafe NXOpen.SelectTaggedObject SelectCSYSFace [get]
 Returns the select csysface More...
 
unsafe NXOpen.SelectTaggedObject SelectEdge [get]
 Returns the select edge More...
 
unsafe NXOpen.SelectTaggedObject SelectTargetFace [get]
 Returns the select target face More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.ShipEndCut builder

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateShipEndCutBuilder

Default values.

Property Value

EndCutBlock.Angle.Value

0

EndCutBlock.Offset.Value

0

EndCutBlock.SketchBlock.Exp1.Value

0

EndCutBlock.SketchBlock.Exp10.Value

0

EndCutBlock.SketchBlock.Exp11.Value

0

EndCutBlock.SketchBlock.Exp12.Value

0

EndCutBlock.SketchBlock.Exp2.Value

0

EndCutBlock.SketchBlock.Exp3.Value

0

EndCutBlock.SketchBlock.Exp4.Value

0

EndCutBlock.SketchBlock.Exp5.Value

0

EndCutBlock.SketchBlock.Exp6.Value

0

EndCutBlock.SketchBlock.Exp7.Value

0

EndCutBlock.SketchBlock.Exp8.Value

0

EndCutBlock.SketchBlock.Exp9.Value

0

EndCutBlock.SketchBlock.Sketches

EndCut1

EndCutBlock.TaperType

Trim

Created in NX7.5.0

Member Enumeration Documentation

available methods used to place a cutout object

Enumerator
FaceEdge 

1 face and 1 edge are used to place this endcut

SpecifyCSYS 

a csys is used to place this endcut

Property Documentation

unsafe NXOpen.CoordinateSystem NXOpen.Features.ShipDesign.ShipEndCutBuilder.CoordSystem
getset

Returns or sets the coord system

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.EndCutBlockBuilder NXOpen.Features.ShipDesign.ShipEndCutBuilder.EndCutBlock
get

Returns the end cut block (containing the library sketch block and other end cut specific settings) that defines the end cut outline

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.ShipEndCutBuilder.CreationMethod NXOpen.Features.ShipDesign.ShipEndCutBuilder.PlacementType
getset

Returns or sets the placement type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.SelectTaggedObject NXOpen.Features.ShipDesign.ShipEndCutBuilder.SelectCSYSFace
get

Returns the select csysface

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectTaggedObject NXOpen.Features.ShipDesign.ShipEndCutBuilder.SelectEdge
get

Returns the select edge

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectTaggedObject NXOpen.Features.ShipDesign.ShipEndCutBuilder.SelectTargetFace
get

Returns the select target face

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.